searchNodes=[{"doc":"Library to calculate IRR through the Bisection method.","ref":"Finance.html","title":"Finance","type":"module"},{"doc":"Function to calculate the XIRR for a given array of dates and values. Examples iex&gt; d = [ { 2015 , 11 , 1 } , { 2015 , 10 , 1 } , { 2015 , 6 , 1 } ] iex&gt; v = [ - 800_000 , - 2_200_000 , 1_000_000 ] iex&gt; Finance . xirr ( d , v ) { :ok , 21.118359 }","ref":"Finance.html#xirr/2","title":"Finance.xirr/2","type":"function"},{"doc":"","ref":"Finance.html#t:date/0","title":"Finance.date/0","type":"type"},{"doc":"","ref":"Finance.html#t:rate/0","title":"Finance.rate/0","type":"type"},{"doc":"Module to handle fractions","ref":"Fraction.html","title":"Fraction","type":"module"},{"doc":"Function to convert a Fraction struct to negative Examples iex&gt; fraction = % Fraction { num : 2 , den : 4 } iex&gt; Fraction . negative ( fraction ) % Fraction { num : - 2 , den : 4 }","ref":"Fraction.html#negative/1","title":"Fraction.negative/1","type":"function"},{"doc":"Function to convert Fraction struct to a floating point number Returns floating point number. Examples iex&gt; fraction = % Fraction { num : 3 , den : 6 } iex&gt; Fraction . to_float ( fraction ) 0.5","ref":"Fraction.html#to_float/1","title":"Fraction.to_float/1","type":"function"},{"doc":"Rational numbers (num/den)","ref":"Fraction.html#t:t/0","title":"Fraction.t/0","type":"type"},{"doc":"Library to calculate IRR through the Bisection method.","ref":"LegacyFinance.html","title":"LegacyFinance","type":"module"},{"doc":"Function to calculate the XIRR for a given array of dates and values. Examples iex&gt; d = [ { 2015 , 11 , 1 } , { 2015 , 10 , 1 } , { 2015 , 6 , 1 } ] iex&gt; v = [ - 800_000 , - 2_200_000 , 1_000_000 ] iex&gt; Finance . xirr ( d , v ) { :ok , 21.118359 }","ref":"LegacyFinance.html#xirr/2","title":"LegacyFinance.xirr/2","type":"function"},{"doc":"","ref":"LegacyFinance.html#t:date/0","title":"LegacyFinance.date/0","type":"type"},{"doc":"","ref":"LegacyFinance.html#t:rate/0","title":"LegacyFinance.rate/0","type":"type"},{"doc":"Library to calculate XIRR and absolute rate of return through the Newton Raphson method.","ref":"Xirr.html","title":"Xirr","type":"module"},{"doc":"Function to calculate the absolute rate of return for a given array of dates and values. Examples iex&gt; d = [ { 1985 , 1 , 1 } , { 1990 , 1 , 1 } , { 1995 , 1 , 1 } ] iex&gt; v = [ 1000 , - 600 , - 200 ] iex&gt; { :ok , rate } = Xirr . xirr ( d , v ) iex&gt; Xirr . absolute_rate ( rate , 50 ) { :ok , - 0.481092 }","ref":"Xirr.html#absolute_rate/2","title":"Xirr.absolute_rate/2","type":"function"},{"doc":"Function to calculate the rate of return for a given array of dates and values. Examples iex&gt; d = [ { 1985 , 1 , 1 } , { 1990 , 1 , 1 } , { 1995 , 1 , 1 } ] iex&gt; v = [ 1000 , - 600 , - 200 ] iex&gt; Xirr . xirr ( d , v ) { :ok , - 0.034592 }","ref":"Xirr.html#xirr/2","title":"Xirr.xirr/2","type":"function"},{"doc":"TODO: add coveralls here... A library to calculate XIRR.","ref":"readme.html","title":"Xirr","type":"extras"},{"doc":"iex&gt; d = [ { 1985 , 1 , 1 } , { 1990 , 1 , 1 } , { 1995 , 1 , 1 } ] iex&gt; v = [ 1000 , - 600 , - 200 ] iex&gt; Xirr . xirr ( d , v ) { :ok , - 0.034592 }","ref":"readme.html#usage","title":"Xirr - Usage","type":"extras"},{"doc":"The package can be installed as: Add xirr to your list of dependencies in mix.exs : def deps do [{:xirr, &quot;~&gt; 1.0.0&quot;}] end Ensure xirr is started before your application: def application do [applications: [:xirr]] end","ref":"readme.html#installation","title":"Xirr - Installation","type":"extras"},{"doc":"Run the test suite using the following MIX_ENV = test mix test","ref":"readme.html#test","title":"Xirr - Test","type":"extras"},{"doc":"We use benchee for the benchmark tests. Run it using the following mix run test / xirr_comparison_bench . exs The reports are available locally.","ref":"readme.html#benchmarks","title":"Xirr - Benchmarks","type":"extras"},{"doc":"The initial work on this project was done by Scripbox India Pvt Ltd, https://scripbox.com as part of ex_xirr . This application is built on the fantastic finance-elixir package. Many thanks to tubedude for his work.","ref":"readme.html#credits","title":"Xirr - Credits","type":"extras"}]